create view foreign_table_options as
SELECT t.foreign_table_catalog,
       t.foreign_table_schema,
       t.foreign_table_name,
       ((pg_options_to_table(t.ftoptions)).option_name)::information_schema.sql_identifier  AS option_name,
       ((pg_options_to_table(t.ftoptions)).option_value)::information_schema.character_data AS option_value
FROM information_schema._pg_foreign_tables t;

alter table foreign_table_options
  owner to postgres;

