create view pg_stat_ssl as
SELECT s.pid,
       s.ssl,
       s.sslversion     AS version,
       s.sslcipher      AS cipher,
       s.sslbits        AS bits,
       s.sslcompression AS compression,
       s.sslclientdn    AS clientdn
FROM pg_stat_get_activity(NULL::integer) s(datid, pid, usesysid, application_name, state, query, wait_event_type,
                                           wait_event, xact_start, query_start, backend_start, state_change,
                                           client_addr, client_hostname, client_port, backend_xid, backend_xmin,
                                           backend_type, ssl, sslversion, sslcipher, sslbits, sslcompression,
                                           sslclientdn);

alter table pg_stat_ssl
  owner to postgres;

