create view role_udt_grants as
SELECT udt_privileges.grantor,
       udt_privileges.grantee,
       udt_privileges.udt_catalog,
       udt_privileges.udt_schema,
       udt_privileges.udt_name,
       udt_privileges.privilege_type,
       udt_privileges.is_grantable
FROM information_schema.udt_privileges
WHERE (((udt_privileges.grantor)::text IN (SELECT enabled_roles.role_name
                                           FROM information_schema.enabled_roles)) OR
       ((udt_privileges.grantee)::text IN (SELECT enabled_roles.role_name
                                           FROM information_schema.enabled_roles)));

alter table role_udt_grants
  owner to postgres;

